﻿// <auto-generated />
using System;
using Bibliotecas;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Bibliotecas.Migrations
{
    [DbContext(typeof(AplicaçãoContexto))]
    [Migration("20200612163359_Inicio")]
    partial class Inicio
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.5")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Bibliotecas.Modelos.ExecuçãoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int>("FalhasGA")
                        .HasColumnType("int");

                    b.Property<int>("FalhasQuine")
                        .HasColumnType("int");

                    b.Property<DateTime>("FimGA")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime>("FimQuine")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime>("InícioGA")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime>("InícioQuine")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("MáximoEntradas")
                        .HasColumnType("int");

                    b.Property<int>("NósGA")
                        .HasColumnType("int");

                    b.Property<int>("NósQuine")
                        .HasColumnType("int");

                    b.Property<int>("QuantidadeEntradas")
                        .HasColumnType("int");

                    b.Property<TimeSpan>("TempoGA")
                        .HasColumnType("time(6)");

                    b.Property<TimeSpan>("TempoQuine")
                        .HasColumnType("time(6)");

                    b.Property<int>("TransistoresGA")
                        .HasColumnType("int");

                    b.Property<int>("TransistoresQuine")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Execuções");
                });
#pragma warning restore 612, 618
        }
    }
}
